Skip to main content
POST
/
webhooks
Create webhook
curl --request POST \
  --url https://api.lava.so/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Production Webhook",
  "url": "https://your-app.example.com/webhooks/lava"
}
'
{
  "webhook_id": "<string>",
  "name": "<string>",
  "url": "<string>",
  "webhook_secret": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication used for standard API calls. Format: 'Bearer YOUR_API_KEY'

Body

application/json
name
string
required

Display name of the webhook

Example:

"Production Webhook"

url
string<uri>
required

URL that will receive webhook events

Example:

"https://your-app.example.com/webhooks/lava"

Response

Webhook created (includes webhook_secret — only returned once)

Webhook with secret. The webhook_secret is only returned once on creation.

webhook_id
string
required

Unique identifier for the webhook

name
string
required

Display name of the webhook

url
string
required

URL that receives webhook events

webhook_secret
string
required

Secret used to verify webhook signatures. Only returned once on creation.

created_at
string<date-time>
required

When the webhook was created